Skip to main content

Business Unit Links

GET 

/client/users/:correlation_id/business/units/links/

Allows caller to list all business unit links

Request

Body

There is no request body.

Response

The following attributes are returned for each business unit in the system in the response body.

AttributeDefinitionFormatNotes
linkIdUnique ID for the linkStringSuggest that this be an ID that references the link in the client's system like an account number. Do not put sensitive data here as it will be shown in other views.
businessUnitName of the business unitStringThe valid values come from a configuration table
dateLinkedISO-formatted date and timeStringThis represents the date/time this link was created in the client system. If the status is UNLINKED, it represents the time it was removed in the client system.
statusStatus of the link between the account and the business unitEnum: "LINKED" or "UNLINKED"LINKED = account has been linked to that business unit
UNLINKED = account was previously linked to that BU, but is no longer linked

Request

Responses

200 - Business Unit Links Listed